WordPress.org

Ready to get started?Download WordPress

Forums

[Plugin: Gravity Forms] tw-sack Javascript syntax error (11 posts)

  1. Sam Scholfield
    Member
    Posted 1 year ago #

    Hi all,

    I have just installed the latest Gravity Forms on my website and it doesn't work.

    I can install the plugin fine, but when I go to edit one of the forms, I can't add any fields.

    In the Chrome console, I get this error message:
    'Uncaught SyntaxError: Unexpected token <' - This is on file tw-sack.js line 1.

    In Firebug (Firefox) I get this message:
    'SyntaxError: syntax error' - This is on file tw-sack.js (line 2).

    The version of Gravity Forms that is installed is v1.6.5.1 - This doesn't have the support / forum license (that expired a couple of months ago).

    Any idea what I can do to fix this? The only other version of GF I have access too is v1.5 - Which was downloaded when we originally purchased the plugin. This doesn't work in the newer versions of WordPress.

    Any help will be appreciated.

    Thanks,
    Sam

    P.S. All other plugins were disabled, so it's not a conflict issue.

  2. Sam Scholfield
    Member
    Posted 1 year ago #

    To further this - The error messages show when you click on one of the form fields from the edit form page.

  3. jeffvand
    Member
    Posted 1 year ago #

    We are also having the same problems with our installation. I figure it is a plugin conflict, but we're not sure where. We have almost an identical setup with a ton more plugins and it is working fine.

    Broken multisite installation is running 3.3.1 (http://sites.unc.edu)
    Working multisite installation is running 3.3.1 as well (http://web.unc.edu).

    Love to hear if you have any ideas what we might test to get the broken on working again.

  4. Sam Scholfield
    Member
    Posted 1 year ago #

    I don't think it's a plugin conflict - I have changed the settings in gravity forms to 'No-conflict Mode' and deactivated all other plugins.

    Still no luck.

    Do you know of any websites where you can download other versions of the plugins? I had no luck with a quick Google search.

    Thanks!

  5. jeffvand
    Member
    Posted 1 year ago #

    I have a priority account and have submitted a request to gravity forms. They do not have older versions on there that I can see to download.

    What I find weird is that it is working on one installation and not another. That doesn't make sense to me. What version of wordpress are you running? Is it multisite?

    I'll let you know if I hear anything back from Gravity Forms folks.

  6. Sam Scholfield
    Member
    Posted 1 year ago #

    It's the latest version of WordPress, so 3.4.1. It's not a multisite installation, just a single one.

    There's really nothing special about it at the moment as it's in development.

    Thanks for your help Jeffvand.

    Sam

  7. jeffvand
    Member
    Posted 1 year ago #

    Alright, this is not going to be very helpful, but somehow it is working again on our installation. I'm not sure what we did. There were a few of us working on it so we are trying to track it down now.

    So far all we know is that we looked in our Akismet folder and there was a second akismet folder in there. /wp-content/akismet/akismet. Not sure why it was there. We deleted all the regular files and replaced them from the prod server. That seems very unlikely to be related, but akismet was network activated so I guess it is possbile.

    Anyway, I will see what else I can find and let you know, but that is all I have now for why it is working again. Strange.

  8. jeffvand
    Member
    Posted 1 year ago #

    Gravity forms folks replied and recommended we see if it is theme/plugin related by activating the 2010 theme and disabling all plugins: http://www.gravityhelp.com/documentation/page/Testing_for_a_Theme/Plugin_Conflict.

    In the end it may have been a network activated plugin on our end. Not really sure. Wish I knew for sure. Sorry I can't be of more assistance.

  9. Sam Scholfield
    Member
    Posted 1 year ago #

    Thank you Jeffvand, you have been a lot of help. The plugin is working in the 2010 theme, so there must be a conflict with my code somewhere.

    I will let you know if I manage to identify the problem.

    Thanks again,
    Sam

  10. Sam Scholfield
    Member
    Posted 1 year ago #

    OK I have solved it.

    After removing almost everything from my themes function.php file, it turned out to be the line that was adding the theme-options file.

    Within that file there was a little bit of commented out html right at the end of the file e.g. <!-- use this code in the templates -->.

    As it wasn't a PHP comment, it was being output before the doctype in the HTML and therefore breaking the page!.

    So double check that any php files you are including (or requiring) don't have any HTML that is running (commented out or not) outside of a function.

    I hope that helps someone else :)

    Sam

  11. oelja
    Member
    Posted 1 year ago #

    I am running Gravity Forms 1.7.3 on WP 3.5.1 and receiving an error in Chrome after clicking a field button, also, after adding a new form the pop-up window does not respond, this is the resulting error:
    SyntaxError: Unexpected token < [http://www.MySite.com/wp-admin/admin.php?page=gf_edit_forms&id=11:3]

    I have followed the steps as suggested from jeffvand.
    Changing my theme, deactivating everything at once, reactivating GF, and even re-installing it with no success.

    Any suggestions are very helpful!

Topic Closed

This topic has been closed to new replies.

About this Topic